// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  devtools: { enabled: false },
  app: {
    head: {
      title: "",
      htmlAttrs: {
        lang: "zh",
      },
      meta: [
        { charset: "utf-8" },
        { "http-equiv": "X-UA-Compatible", content: "IE=edge,chrome=1" },
        { "http-equiv": "Cache-Control", content: "no-transform" },
        {
          name: "viewport",
          content: "width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0",
        },
        { property: "og:title", content: "" },
        { name: 'keywords', content: '' }
      ],
    },
  },
  nitro: {
    compressPublicAssets: true,
  },
  modules: ["nuxt-swiper", '@unocss/nuxt', '@nuxt/image'],
  image: {
    quality: 80,
  },
  css: ['assets/styles/reset.scss', 'aos/dist/aos.css']
})
