import { defineConfig, presetAttributify, presetUno, presetIcons, transformerVariantGroup, presetWebFonts } from 'unocss'
import { FileSystemIconLoader } from '@iconify/utils/lib/loader/node-loaders'

export default defineConfig({
  presets: [
    presetUno(),
    presetAttributify(),
    presetIcons({
      extraProperties: {
        'display': 'inline-block',
        'vertical-align': 'middle',
      },
      collections: {
        'custom': FileSystemIconLoader('./assets/icons')
      }
    }),
    presetWebFonts()
  ],
  transformers: [
    transformerVariantGroup()
  ],
  theme: {
    colors: {
      primary: '',
      title: '',
      'sub-title': '',
      'desc': ''
    }
  },
  rules: [
    [/^line-clamp-(\d)/, ([, d]) => ({
      overflow: 'hidden',
      'text-overflow': 'ellipsis',
      'display': '-webkit-box',
      '-webkit-line-clamp': d,
      '-webkit-box-orient': 'vertical'
    })]
  ]
})
